shr.defineClass("shr.esign.ESignGlobalStatusOverviewList", shr.framework.List, {
    initalizeDOM: function () {
        var _self = this;

        shr.esign.ESignGlobalStatusOverviewList.superClass.initalizeDOM.call(this);
        if(_self.initData&&_self.initData.custom_params){
        }

    },
    /**
     *撤销签署流程
     */
    revoke_by_fileAction: function () {
        var _self = this;
        var selectedIds = this.getSelectedIds();
        _self.doRemoteWithBatchAction({
            method: 'revoke_by_file',
            billId: selectedIds
        });
    },
    /**
     *基于文件发起签署
     */
    create_by_fileAction: function () {
        var _self = this;
        var selectedIds = this.getSelectedIds();
        _self.doRemoteWithBatchAction({
            method: 'create_by_file',
            billId: selectedIds
        });
    },
    /**
     *催签流程中签署人
     */
    urge_by_fileAction: function () {
        var _self = this;

        var selectedIds = this.getSelectedIds();
        _self.doRemoteWithBatchAction({
            method: 'urge_by_file',
            billId: selectedIds
        });
    },
    /**
     *  审批
     */
    enableAction: function () {
        var _self = this;
        var parentVal = this.getUrlParam('rowid');
        var selectedIds = this.getSelectedIds();

        _self.doRemoteWithBatchAction({
            method: 'disable',
            billId: selectedIds,
            rowid:parentVal
        });
    },
})